Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I'm wanting SNI on my CentOS 5.5 dev server and since it looks like I'm out of luck with the current repo versions of openssl and apache, before I go compiling custom RPMs I thought I'd see if I could get it working with gnutls.

Anyone know how to do this? According to yum, gnutls is already installed but I don't see it in my apache modules directory.

share|improve this question

closed as too localized by Chris S Mar 23 '13 at 1:44

This question is unlikely to help any future visitors; it is only relevant to a small geographic area, a specific moment in time, or an extraordinarily narrow situation that is not generally applicable to the worldwide audience of the internet. For help making this question more broadly applicable, visit the help center.If this question can be reworded to fit the rules in the help center, please edit the question.

    
OK, so I found out that you need the mod_gnutls package from the CentOS testing repo and added that but after I've configured things it seems like Apache is just using the first defined SSL virtual host. Similar to what happens if I just use mod_ssl. –  ahanson Nov 5 '10 at 21:53
    
It's looking like this might be a 64bit bug. The configuration seems to work on both 5.4 32bit and 5.5 32bit, but not 5.5 64bit. –  ahanson Nov 9 '10 at 16:52
    
Sorry, closing this as Too Localized now as Apache+OpenSSL has SNI support. –  Chris S Mar 23 '13 at 1:44

1 Answer 1

if you installed the gnutls then it isn't the version for apache. you will need to compile the version from source. see http://www.g-loaded.eu/2007/08/10/ssl-enabled-name-based-apache-virtual-hosts-with-mod_gnutls/

share|improve this answer

Not the answer you're looking for? Browse other questions tagged or ask your own question.